#ifndef XGFXPIXELSHADERLOADDEF_H
#define XGFXPIXELSHADERLOADDEF_H

#include "xasset.h"

#include <QVector>

class XGfxPixelShaderLoadDef : public XAsset
{
public:
    explicit XGfxPixelShaderLoadDef();
    ~XGfxPixelShaderLoadDef();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    quint16 mCachedPartPtr;
    QVector<quint8> mCachedPart;
    quint16 mPhysicalPartPtr;
    QVector<quint8> mPhysicalPart;
    quint16 mCachedPartSize;
    quint16 mPhysicalPartSize;
};

#endif // XGFXPIXELSHADERLOADDEF_H








